<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>New person</title>
</head>
<body>
<form th:method="POST" th:action="@{/people}" th:object="${person}">
    <label for="name">Enter name: </label>
    <input type="text" th:field="*{name}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('name')}" th:errors="*{name}">Name Error</div>
    <br/>
    <label for="age">Enter age: </label>
    <input type="text" th:field="*{age}" id="age"/>
    <div style="color:red" th:if="${#fields.hasErrors('age')}" th:errors="*{age}">Age Error</div>

    <br/>
    <input type="submit" value="Create!"/>
</form>
</body>
</html>